Bug 438168 - man-page is incomplete
man-page is incomplete
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 10:42 EDT by Jan Hutař
Modified: 2008-05-21 10:22 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0388
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:22:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
include grouperase (684 bytes, patch)
2008-04-02 10:34 EDT, Jan Hutař
no flags Details | Diff

  None (edit)
Description Jan Hutař 2008-03-19 10:42:15 EDT
Description of problem:
While inspecting yum man-page, I have found that some options are missing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. man yum

Actual results:
  not documented in the yum man-page
-t, --tolerant
  not documented in the yum man-page
  not documented in the yum man-page
  only long variant ('--exclude') mentioned in the yum man-page

Expected results:
These options are documented

Additional info:
This is severity/priority lower then low
Comment 1 James Antill 2008-03-19 12:27:39 EDT
 note that --tolerant does nothing, so I'm not 100% sure what to do about that atm.

 The others are easy-ish additions.
Comment 2 Jan Hutař 2008-03-20 04:30:29 EDT
(In reply to comment #1)
>  note that --tolerant does nothing,
> so I'm not 100% sure what to do about that atm.

I would just add a note about it to the man-page. It is better to say "this is 
not implemented jet" or "this is here only for backwards compatibility now", 
then nothing.

Thanks for a quick response!
Comment 5 Jan Hutař 2008-04-02 10:34:07 EDT
Created attachment 300071 [details]
include grouperase
Comment 6 Jan Hutař 2008-04-02 10:37:56 EDT
"grouperase" is still not included (only "groupremove" is), but I do not know 
what is the policy here and it is definitely not important. What do you think?
Thank you in advance,
Comment 7 James Antill 2008-04-02 11:41:02 EDT
 Well grouperase is just an alias for groupremove, on the latest upstream if you do:

# yum help grouperase
groupremove GROUP...

Remove the packages in a group from your system

alias: grouperase

...so I'd say not a bug?:) ... the obvious counter is groupinstall and
groupupdate, but we might make those different one day.
 I'd prefer to just ignore this, at least for 5.2 ... but if it's a regression
the fix is pretty small.
Comment 8 James Antill 2008-04-02 11:57:06 EDT
 The regression comment was because I was thinking about the "yum -d" vs. "yum -R" 
problem ... just commenting on too much at once :).

 So anyway, unless you object, I'd rather just drop it as "it's not a real
command it's an alias" excuse.
Comment 9 Jan Hutař 2008-04-02 14:16:10 EDT
That is perfectly OK to me. Thank you.
Comment 12 errata-xmlrpc 2008-05-21 10:22:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.